/*
*Theme Name:     CozyStay Child Theme
*Theme URI: 	 https://cozystay.loftocean.com/
*Description:    CozyStay child theme for user customization
*Author:         Loft.Ocean
*Author URI:     http://www.loftocean.com
*License: 		 GNU General Public License v2 or later
*License URI: 	 http://www.gnu.org/licenses/gpl-2.0.html
*Tags: 			 full-width-template, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, rtl-language-support, sticky-post, threaded-comments, translation-ready
*Template:       cozystay
*Text Domain: 	 cozystay-child
*Version:        1.0
*//** Add your styles below **/
.bloccocornice .cs-cta.with-inner-border .cs-cta-content::before, .cs-cta.with-inner-border .cs-cta-content::after {
	color:#d39700;
	border:2px solid;
}
/* elementi grafici */
.cs-cta.img-offset-border .cs-offset-border {
	border: 3px solid var(--cta-border-color);
}
/*.primary {
	padding:0;
}*/
/* decorazioni vettori */
.dec1:before , .dec2:before , .dec3:before, .dec4:before, .dec5:before {
	content: "";
	background-repeat: no-repeat;
	background-attachment: scroll;
	position: absolute;
	opacity: 0.35;
	z-index: -1;
	background-size: contain;
}
.dec1:before {
	background-image: url(https://demo.visioni.net/costadoria.com/wp-content/uploads/2026/02/grapes-vector-1.png);
	background-position: 100% 0%;
	width: 330px;
	height: 310px;
	top: 0;
	right: -57px;
}
.dec2:before {
	background-image: url(https://demo.visioni.net/costadoria.com/wp-content/uploads/2026/02/grapes-branch-vector-3.png);
	top:-70px;
	left: -80px;
	width: 310px;
	height: 310px;
}
.dec3:before {
	background-image: url(https://demo.visioni.net/costadoria.com/wp-content/uploads/2026/02/ivy-vector-2.png);
	top: -270px;
	right: 0px;
	width: 360px;
	height: 360px;
}
.dec4:before {
	background-image: url(https://demo.visioni.net/costadoria.com/wp-content/uploads/2026/02/wine-cheers-vector-1.png);
	width: 330px;
	height: 310px;
	bottom: 0;
	right: -57px;
}
.dec5:before {
	background-image: url(https://demo.visioni.net/costadoria.com/wp-content/uploads/2026/02/grappoli-uva-vector-1.png);
	width: 400px;
	height: 400px;
	bottom: -180px;
	left: -137px;
	transform: rotate(-21deg);
}
/* button */
.button.cs-btn-small.cs-btn-underline {
	font-size: 0.9rem;
	letter-spacing: 0.1em;
}
.button .cs-btn-icon.icon-line {
	transition:all 0.5s;
}
.button:hover .cs-btn-icon.icon-line {
	width:0;
	margin-right:40px;
}
.no-touch .cs-fancy-card.style-2:hover .cs-fc-content {
	background: #b97f21;
	color:#ffffff;
}
.cs-fancy-card.style-2.content-position-center .cs-fc-content {
	background: var(--primary-color);
	left: 20%;
}
.button.cs-btn-outline {
	color:#304F3D;
	border: 1px solid #cfb731;
}
.button.cs-btn-outline:hover {
	background: #d08b19;
	color: white;
}
/* tasti home blocco suite e camere */
.cs-fancy-card.style-2 .cs-fc-content {
	padding-right: 20px;
	padding-left:20px;
}
.no-touch .cs-fancy-card.style-2:hover .cs-fc-content {
	background: #cfb731;
	color: #ffffff;
}
/* vista blog camere */
.read-more-btn.button.cs-btn-underline.read-more-btn {
	font-size: 1.18rem;
}
/* tipografia */
h1.cs-title {
	font-size: 2rem !important;
}
.cs-title small {
	font-size:70% !important;
	text-transform: none;
}
.big-title .cs-title {
	font-size: 2.1rem;
	line-height: 1.2 !important;
}
.titoloparallax .cs-title-text h2 {
	font-size:2.8rem;
}
/*.entry-content h3, .elementor h3 {
	font-size: 1.2rem!important;
	line-height: 1.2 !important;
}*/
.small-title .elementor-heading-title, .small-title .cs-title, .small-title-box .elementor-image-box-title  {
	font-size: 1.2rem!important;
	line-height: 1.2 !important;
}
.elementor-accordion-item a,
.cs-title-text a,
.leaflet-popup-content a{
	color:var(--btn-bg)!important;
}
.elementor-accordion-item a:hover,
.cs-title-text a:hover,
.leaflet-popup-content a:hover{
	color:var(--dark-link-color)!important;
}
/* subtitle giallo */
.cs-subtitle.color-secondary {
	display: block;
	text-transform: lowercase;
	font-size: 22px !important;
	padding-bottom: 20px;
}
/* leggi di più */
.elementor-tab-title :is(span.readmore, span.readless) {
	font-weight:400;
	padding-bottom:4px;
	transition: all 0.5s;
	position: absolute;
	right:0;
}
.elementor-tab-title span.readmore {
	top: 50%;
}
.elementor-tab-title span.readless {
	top: 100%;
}
.readmoretab .elementor-tab-title.elementor-active span.readmore,
.readmoretab .elementor-tab-title:not(.elementor-active) span.readless {
	opacity:0;
	display: inline-block;
	white-space: nowrap;
	overflow: hidden;
}
.elementor-tab-title :is(span.readmore, span.readless)::before {
	position: absolute;
	bottom: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 1px;
	background: var(--btn-bg) !important;
	content: "";
	transition: transform 0.2s ease;
 	transform-origin: 0 0;
}
.elementor-tab-title :is(span.readmore, span.readless):hover::before {
	transform: scaleX(0);
}
span.readmore,
span.readless {
	font-size:17px;
}
/* header menu */
#masthead #headerlogomin,
#sticky-site-header #headerlogo {
	display:none;
}
body.wow #masthead {
	opacity:0;
}
#sticky-site-header {
	display: block!important;
	opacity: 0;
	transform: translateY(-100%);
	transition: all 0.3s;
	z-index: 9999;
}
body.wow #sticky-site-header,
#sticky-site-header.sticky  {
	transform: translateY(0px);
	opacity: 1;
}
body.wow #sticky-site-header {
	background:transparent;
}
html.blockscroll #sticky-site-header {
	z-index: 999;
}
body.wow {
	overflow:hidden;
}
#mainheader > .elementor-container {
	flex-wrap: wrap;
	    margin: 0 -8px;
}
#mainheader .logomenu,
#mainheader .rxhead,
#mainheader .sxhead {
	padding: 0 8px;
}
#mainheader .logomenu {
	width: 195px!important;
}
#mainheader .logomenu .elementor-widget:not(:last-child) {
    margin-block-end: 0!important;
	margin-bottom: 0px!important;
}
#mainheader .rxhead,
#mainheader .sxhead {
	width: calc(50% - 195px/2);
}
#headerlogomin {
	transition: filter 1s;
}
body.wow #headerlogomin {
	filter: grayscale(1) brightness(2);
}
body.wow #page:before {
	content:"";
	background-image:url("https://demo.visioni.net/costadoria.com/wp-content/uploads/2026/02/tenute-costadoria_mauronster_0214-offcanvas.webp");
	position: fixed;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	background-size: cover;
	background-position: center;
	z-index: 99;
	background-attachment: scroll;
}
body.wow #page:after {
	content:"";
	position: fixed;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	z-index: 99;
	background-color:rgba(0,0,0,0.45);
}
body.wow #mobbtn,
body.wow footer footer {
	opacity:0;
}
.sidemenu .elementor-background-overlay,
#sticky-site-header .elementor-background-overlay {
	display:none;
}
.main-navigation {
	transition: all 0.3s;
}
body.wow .main-navigation {
	opacity:0;
}
/*:is(#sticky-site-header, #masthead)*/ #hbookbtn .button.cs-btn-outline {
	font-size:1.1rem;
	color:white;
	background: #791617;
	border:#791617;
}
body.wow #hbookbtn .button {
	background: #ffffff;
	color:#791617;
}
body.wow #hbookbtn .button:hover,
/*:is(#sticky-site-header, #masthead)*/ #hbookbtn .button.cs-btn-outline:hover {
	color:#fff;
	background: #d39700;
}
:is(#sticky-site-header, #masthead) .menu-toggle {
	--line-width: 38px;
	--line-height: 2px;
}
body.wow #sticky-site-header .menu-toggle:hover,
:is(#sticky-site-header, #masthead) .menu-toggle:hover,
:is(#sticky-site-header, #masthead) .primary-menu li:hover,
.menu-toggle .elementor-widget-menu-toggle .close-button:hover,
.no-touch .menu-toggle:hover,
.cs-menu-mobile .mobile-menu a:hover {
	color:var(--secondary-color);
}
#sticky-site-header .menu-toggle,
#sticky-site-header  .primary-menu li {
	color:var(--primary-color);
}
body.wow #sticky-site-header .menu-toggle {
	color:#fff;
}
#sticky-site-header .header-menu-section {
	padding-top:15px;
	padding-bottom:15px;
}
#sticky-site-header {
	background:white;
}
#sticky-site-header #headerlogo {
	max-width: 140px;
}
/* offcanvas */
.sidemenu {
	top:130px;
}
.sidemenu:before {
	display:none;
}
.sidemenu .cs-menu-mobile .mobile-menu {
	display: inline-block;
}
.sidemenu .cs-menu-mobile .mobile-menu > li {
	padding-right: 93px;
}
.sidemenu .cs-menu-mobile .mobile-menu .dropdown-toggle {
	top: 4px!important;
}
.sidemenu .elementor-section.elementor-section-height-full {
	height:auto!important;
}
.sidemenu .elementor .elementor-background-slideshow {
	min-height: 100vh;
}
.sidemenu .container {
	background-color:transparent;
}
.sidemenu.sidemenu-custom .sidemenu-header .close-button {
	display: none;
}
.cs-menu-mobile .mobile-menu a {
	text-transform: unset;
}
.cs-menu-mobile .mobile-menu li.current-menu-item > a,
.cs-menu-mobile .mobile-menu li.current-menu-ancestor > a {
	color: var(--secondary-color);
}
.no-touch .sidemenu a:hover {
	opacity: 1!important;
}
/* hero */
#hero {
	min-height: 500px;
	height: 100vh;
}
#hero h1 {
	padding-top:0!important;
	text-shadow: 1px 1px 5px rgba(0,0,0, 0.7);
}
/* scrolldown luglio 25 */
#hero .button .cs-btn-icon.icon-arrow.arrow-2::after {
	rotate: 90deg;
	top: -8px;
}
#hero .button.cs-btn-underline::before {
	display:none!important;
}
/* vista blog camere */
.posts.layout-overlay .post .featured-img::after {
	background: black;	
}
.no-touch .posts.layout-overlay .post:hover .featured-img:after {
	opacity: 0.4;
}
/* footer*/
.cs-menu.footer-menu .menu {
	flex-direction: column;
}
.cs-menu.footer-menu .menu li :hover {
	color:var(--secondary-color);
}
.no-touch .site-footer a:not([class*="button"]):hover {
	color: var(--secondary-color);
}
footer {
	position:relative;
	z-index:999;
}
/* footer visioni */
.footer1 .logo {
	display: flex;
	position: absolute;
	right: 0px;
}
.logo-cont,
.logo-cont .logos span {
	display: flex;
	align-items: center;
	font-size: 10px;
}
.logo-cont + .logo-cont {
	margin-left: 15px;
}
.logos a {
	display: flex;
}
.footer1 svg,
.footer1 svg #bmgText,
.footer1 svg #bmgSym {
	fill:#ffffff;
	height: 30px;
	width: auto;
	padding: 0 5px;
	transition:fill 0.5s;
}
.footer1 .logo-cont .logos span:first-child {
	width: auto;
	max-width:0;
	overflow: hidden;
	white-space: nowrap;
	transition:max-width 1.5s;
}
.footer1 .logo-cont:hover .logos span:first-child {
	width: auto;
	max-width:500px;
}
.footer1 .logo-cont a {
	color: #ffffff!important;
}
/* mobile button */
#mobbtn {
	border-top: 1px solid white;
	box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
}
#mobbtn > div:nth-child(1) {
	width:50px;
}
#mobbtn > div:nth-child(2),
#mobbtn > div:nth-child(3) {
	width: calc(50% - 25px);
	border-left: 1px solid white;
}
#mobbtn a {
	width: 100%;
	height: 42px;
	display: flex;
	align-items: center;
	justify-content: center;
}
/**/
html {
	margin-top:0!important;
}
#wpadminbar.mobile {
	display:none!important;
}
#wpadminbar {
	opacity:0.4;
}
#wpadminbar:hover {
	opacity:1;
}
.logged-in.admin-bar .site-header.custom-sticky-header.sticky {
	top: 0!important;
}
/**/
html.touch .footer1 .logo{
	flex-direction: column;
	position: relative;
}
html.touch .logo-cont, .logo-cont .logos span{
	-webkit-justify-content: end;
	justify-content: end;
}
html.touch .footer1 .logo-cont .logos span:first-child {
	max-width: unset;
}
html.touch .logo-cont + .logo-cont {
	margin-left: 0;
}
/* bemyguest */
html.blockscroll {
	overflow: hidden;
}
body.wow .to-top.show,
html.blockscroll .to-top.show {
	display:none;
}
.booksez:before {
	content: "";
	position: fixed;
	top: 0;
	right: 0;
	background: rgba(0, 0, 0, 0.5);
	z-index: 9999;
	height: 100vh;
	width: 100vw;
	opacity:0;
	visibility:hidden;
	transition: opacity 0.5s, visibility 0.5s;
	display:block;
}
.booksez.view:before {
	opacity:1;
	visibility:visible;
}
.pop_book {
	margin: 30px 0;
}
.booking {
	display:block!important;
	width:500px!important;
	max-width:100%!important;
	position:fixed!important;
	top:0;
	bottom:0;
	right:0;
	left:unset!important;
	z-index:9999!important;
	height:100vh!important;
	transform: translateX(100%);
	transition:transform 0.5s!important;
	background:#ffffff;
}
.booking.view {
	transform: translateX(0%);
	overflow-y:auto;
}
#my_bbar .bmg-widget-bbar {
	display: flex;
	flex-wrap: wrap;
}
#my_bbar .form-group{
	width:100%;
	background: unset;
}
#my_bbar_do_book:hover {
	background: #d39700 !important;
	color: #fff;
}
.form-inline.bmg-widget-bbar > .form-group:last-child {
	text-align: center!important;
	flex: 0 0 50%;
	max-width: 50%;
}
.sc_book {
	margin-bottom: 90px;
}
.bmg-widget-bbar > .elementor-widget-container {
	background: rgba(48, 79, 61, 0.6);
	border: 2px solid #CFB731;
	padding: 15px;
}
.bmg-widget-bbar > .elementor-widget-container,
.bmg-widget-bbar,
.guests-select {
	display:flex
}
.bmg-widget-bbar {
	padding: 0px!important;
	height: 100%;
	margin: 0 auto;
}
.bmg-widget-bbar.form-inline * + * {
	margin-left: 0!important;
}
.bmg-widget-bbar label {
	font-family: var(--subheading-font);
	margin-bottom:3px;
	text-transform: uppercase;
}
#my_bbar .bmg-widget-bbar > .form-group:nth-child(1),
#my_bbar .bmg-widget-bbar > .form-group:nth-child(2) {
	width:50%;
}
.bmg-widget-bbar > .form-group:last-child {
	padding: 0 23px;
}
.guests-select {
	margin: 0 -12px;
}
.bmg-widget-bbar > .form-group .input-group {
	display: flex;
	flex-wrap: unset;
}
.bmg-widget-bbar > .form-group:not(:last-child),
.guests-select > .form-group {
	position:relative;
	padding: 0 23px;
	display: flex;
	flex-direction: column;
	align-items: center;
}
.bmg-widget-bbar > .form-group:nth-child(3) {
	padding: 0px;
}
.bmg-widget-bbar > .form-group:not(:last-child) {
	margin-bottom: 30px;
}
.bmg-widget-bbar.form-inline .guests-select-detail {
	padding: 10px 10px!important;
	border-radius: 0!important;
	box-shadow: unset!important;
	top: 55px!important;
	display: -ms-flexbox;
	display: flex;
	-ms-flex: 0 0 auto;
	flex: 0 0 auto;
	ms-flex-flow: row wrap;
	flex-flow: row wrap;
	-ms-flex-align: center;
	align-items: center;
	padding: 10px 10px!important;
	border-radius: 0!important;
	box-shadow: unset!important;
	top: unset !important;
	bottom: unset;
	left: unset !important;
	transform: unset !important;
	margin-top: 9px !important;
	position: relative !important;
	width: 151px;
	justify-content: center;
}
.guests-select-detail:before {
	content: "";
	position: absolute;
	left: calc(50% - 10px);
	top: -10px;
	border-left: 10px solid transparent;
	border-right: 10px solid transparent;
	border-bottom: 10px solid #fff!important;
}
.guests-select-detail:after {
	content: "";
	position: absolute;
	left: calc(50% - 7px);
	top: -8px;
	border:1px solid #ccc;
	border-top: 0;
	border-left: 0;
	width: 14px;
	height: 14px;
	transform:rotate(-135deg)
}
.guests-select-detail label {
	display: none;
}
.bmg-widget-bbar .guests-select-detail .form-group {
	width: 50%!important;
}
.bmg-widget-bbar .text-warning {
	display: none;
}
.bmg-widget-bbar .form-control {
	background-color: transparent!important;
	border: 0px;
	color: var(--chiaro);
	box-shadow: none!important;
	font-size: 1.1rem!important;
}
.bmg-widget-bbar .input-group >.form-control {
	width: 118px;
	border: 0;
}
.bmg-widget-bbar .input-group-text {
	display:none;
	background-color: transparent;
	border: 0px;
	color: var(--chiaro);
	padding: 2px;
}
.bmg-widget-bbar input,
.bmg-widget-bbar select {
	padding:0;
	height: 24px!important;
	color: inherit!important;
	text-align: center;
}
.bmg-widget-bbar select option {
	color: var(--blu);
}
#my_bbar_do_book {
	font-family: var(--btn-font);
	font-size: var(--btn-font-size);
	font-weight: var(--btn-font-weight);
	letter-spacing: var(--btn-letter-spacing);
	align-items: center;
	height: 52px;
	border-radius: 0;
	background-color: #791617;
	color: #ffffff;
	width: 100%;
	padding: 0 25px;
	border:0;
}
#my_bbar_do_book:hover {
	background-color: #d39700;
}
#my_bbar_do_book:disabled {
	opacity:0.5;
}
.bmg-item a {
	height: 100%;
	text-transform: uppercase;
	border-radius: 0;
	background-color: var(--chiaro);
	width: 172px;
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	color: var(--blu);
	border-left: 1px solid;
}
.bmg-item a:hover {
	color: var(--chiaro);
	background-color: var(--blu);
}
/**/
.crobtn {
	position: absolute;
	bottom: 0;
	right: 0;
	width: 50%;
	padding: 0 23px;
}
#crobtn {
	padding: 0;
	width:100%;
}
#crobtn:hover {
	background: #791617 !important;
	color: #fff;
}
.cs-btn-outline.crobtn {
	text-align: center!important;
}
/* stile del calendario */
#ui-datepicker-div {
	font-size: 16px;
	z-index: 99999999999!important;
	padding: 2px;
}
#ui-datepicker-div select:not(.form-select):not(.form-control),
#ui-datepicker-div select.ui-datepicker-month {
	display: inline-block!important;
	padding: 0!important;
	height: auto;
	color: white!important;
	background: transparent!important;
	border: 0;
	border-bottom: 1px solid;
	width: auto;
}
select.ui-datepicker-month option {
	color: #4c739e!important;
}
.ui-datepicker-calendar .ui-dp-from a, .ui-datepicker-calendar .ui-dp-from a:hover,
.ui-datepicker-calendar .ui-dp-to a, .ui-datepicker-calendar .ui-dp-to a:hover {
	background-color: #791617!important;
	box-shadow: inset 0 9px 9px -9px #791617, inset 0 -9px 9px -9px #791617!important;
}
.ui-datepicker-calendar .ui-dp-btw a {
	color: #791617!important;
	box-shadow: inset 0 9px 9px -9px #791617, inset 0 -9px 9px -9px #791617!important;
}
.ui-datepicker .ui-datepicker-header {
	background: #791617!important;
	color: #ffffff;
}
.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight,
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
	color: #ffffff!important;
}
.theme-cozystay .ui-widget.ui-widget-content.ui-datepicker .ui-datepicker-prev span,
.theme-cozystay .ui-widget.ui-widget-content.ui-datepicker .ui-datepicker-next span {
	width: 22px;
	height: 22px;
	top: 4px;
	background-color: #ffffff;
	margin: 0 5px;
}
.theme-cozystay .ui-widget.ui-widget-content.ui-datepicker .ui-datepicker-next span {
	right: 0;
	left: unset;
}
.theme-cozystay .ui-widget.ui-widget-content.ui-datepicker table td a.ui-state-active:before,
.theme-cozystay .ui-widget.ui-widget-content.ui-datepicker table td a:hover:before {
	border:0px;
}
/*offerte*/
.offz {
	display:none;
}
.booksez .swiper-slide {
	background: #ffffff;
	text-align: center;
	padding: 0 23px;
}

.off_title.off_link {
	font-size: 1.2rem!important;
	line-height: 1.2 !important;
}
.off_link {
	padding-bottom: 20px;
	display: block;
}
img.off_img {
	height: 250px!important;
	width: 100%;
	object-fit: cover;
}
.off_btn:before {
	content:"imposta testo da css";
}
html[lang="it-IT"] .off_btn:before {
	content:"SCOPRI";
}
.swiper-button-next,
.swiper-button-prev {
	width: 50px!important;
	height: 50px!important;
	background: #D39700B0;
	border-radius: 50%;
}
.swiper-button-next:after,
.swiper-button-prev:after {
	font-size: 15px!important;
	color: #ffffff;
}
/* responsive */
@media (max-width:1450px) {
	#mainheader .logomenu {
		width: 170px!important;
	}
	#mainheader .rxhead,
	#mainheader .sxhead {
		width: calc(50% - 170px/2);
	}
	#mainheader .primary-menu > li > a {
		font-size: 13px;
	}
}
@media (max-width:1299px){
	.dec2:before {
		left: -60px!important;
		width: 220px!important;
		height: 220px!important;
	}
	.dec3:before {
		top: -120px;
		right: -10px;
		width: 200px;
		height: 200px;
	}
}
@media (max-width:1199px) {
	.rxhead .elementor-widget-cs_menu  {
		display:none;
	}
}
@media (min-width:767px) and (max-width:1024px){
	#hero {
		height:94vh;	
	}
	.big-title .cs-title {
		font-size: 2rem;
	}
	.cs-title-text p{
		font-size:14px;
	}
}
@media (max-width:1024px){ /*blocco testo con parallax*/
	.safari-bg .safari-text-col .elementor-widget-wrap {
		background:#FFFFFFD6!important;
	}
}
@media (max-width:991px){
	.cs-rooms.layout-overlay .cs-room-content .item-title {
		margin-left:50px;
		margin-bottom: 40px;
	}
	.dec1:before {
		width: 240px;
		height: 240px;
	}
	.dec2:before{
		left: -40px!important;
		width: 160px!important;
		height: 160px!important;
	}
	.dec5:before{
		width: 250px;
		height: 250px;
		bottom: -130px;
		left: -90px;
	}
	.cs-rooms.layout-overlay .hover-show-content {
		margin-left:50px;
		opacity: 1;
		transform: translateY(0px);
	}
	.footer1 .logo{
		flex-direction: column;
		position: relative;
 	}
	.logo-cont, .logo-cont .logos span{
		-webkit-justify-content: end;
		justify-content: end;
	}
	.footer1 .logo-cont .logos span:first-child {
		max-width: unset;
	}
	.logo-cont + .logo-cont {
		margin-left: 0;
	}
}
@media (max-width: 767px) {
	.small-title-box .elementor-image-box-title {
		font-size:15px!important;
	}
	h1.cs-title {
		font-size:27px !important;
	}
	.big-title .cs-title {
		font-size: 1.6rem; 
	}
	#hero {
		height: 65vh;
	}
	#hero.elementor-section.elementor-section-height-full > .elementor-container {
		height: 100%;
	}
	#footer-costadoria.elementor-reverse-mobile > .elementor-container > :first-child {
		order: 9;
	}
	#footer-costadoria.elementor-reverse-mobile > .elementor-container > :nth-child(2) {
		order: 10;
	}
	.to-top {
		bottom: 49px;
		right: 0;
	}
	/*bmg*/
	.booksez .swiper-slide,
	.bmg-widget-bbar > .form-group:not(:last-child), .guests-select > .form-group,
	.bmg-widget-bbar > .form-group:last-child {
		padding: 0px 0px;
	}
	.bmg-widget-bbar > .form-group:last-child {
		padding: 0 1px;
	}
	.crobtn {
		padding: 0 1px;
	}
}
/* comportamento responsive a risoluzioni minori di 545px (telefoni) */
@media (max-width:544px) {
	.ui-datepicker.ui-datepicker-multi{
		width:400px!important;
		max-width: 100%!important;
		box-sizing: border-box;
	}
	.ui-datepicker-multi .ui-datepicker-group {
		float: none!important;
		width: 100%!important;
	}
}
@media (max-width:400px) {
	.ui-datepicker.ui-datepicker-multi{
		left:0!important;
		width:100%!important;
	}
}
/* Safari 11+ */
/*@media not all and (min-resolution:.001dpcm) { 
	@media {
		safari-bg {
			transform:translate3d(0,0,0)!important;
		}
	}
}*/
@media screen and (-webkit-min-device-pixel-ratio: 2) {
	.safari-bg {
		transform:translate3d(0,0,0)!important;
		/*background-attachment: scroll!important;*/
	}
}
/**/
.booking.nof > div{
	height: 100%;
}
.booking.nof .closebbar{
	    position: absolute;
    top: 9px;
    width: 42px;
}
/* preload */
.sp-pre-loader{
	background:#fff;
	height:100%;
	left:0;
	position:fixed;
	top:0;
	width:100%;
	z-index:99999
}
.sp-pre-loader .circle-two{
	bottom:0;
	height:100px;
	left:0;
	margin:auto;
	position:absolute;
	right:0;
	top:0;
	width:100px;
}
.sp-pre-loader .circle-two>span,.sp-pre-loader .circle-two>span:after,.sp-pre-loader .circle-two>span:before{
	content:"";
	display:block;
	border-radius:50%;
	border:2px solid #e09900;
	position:absolute;
	top:50%;
	left:50%;
	-webkit-transform:translate(-50%,-50%);
	-moz-transform:translate(-50%,-50%);
	-ms-transform:translate(-50%,-50%);
	-o-transform:translate(-50%,-50%);
	transform:translate(-50%,-50%);
}
.sp-pre-loader .circle-two>span{
	width:100%;
	height:100%;
	top:0;
	left:0;
	border-left-color:transparent;
	-webkit-animation:effect-2 2s infinite linear;
	-moz-animation:effect-2 2s infinite linear;
	-ms-animation:effect-2 2s infinite linear;
	-o-animation:effect-2 2s infinite linear;
	animation:effect-2 2s infinite linear;
}
.sp-pre-loader .circle-two>span:before{
	width: 79%;
	height: 79%;
	border-right-color:transparent;
}
.sp-pre-loader .circle-two>span:after{
	width: 60%;
	height: 60%;
	border-bottom-color:transparent;
}
@-webkit-keyframes effect-2{
	from{-webkit-transform:rotate(0);transform:rotate(0)}
	to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}
}
@keyframes effect-2{
	from{-moz-transform:rotate(0);-ms-transform:rotate(0);transform:rotate(0)}
	to{-moz-transform:rotate(360deg);-ms-transform:rotate(360deg);transform:rotate(360deg)}
}
.sp-pre-loader{
	background-image: url(https://demo.visioni.net/costadoria.com/wp-content/uploads/2026/02/logo-new-costadoria.png);
	background-repeat: no-repeat;
	background-size: 190px;
	background-position:  center center;
}
.sp-pre-loader .circle-two{
	opacity: 0.5;
	height: 400px;
	width: 400px;
	max-height: 100vw;
	max-width: 100vw;
}